System requirements

Open full view...

Categories: Installing Guides

Guides has been built and tested to work with the following web browsers. It may work in other browsers that are not supported, but may have strange bugs as a result.

Web browser support:

  • Chrome (Latest version*)
  • Firefox (Latest version*)
  • Safari 6/7
  • Internet Explorer 10/11

If you are using an outdated browser, you should consider upgrading for a better web browsing experience and often times better performance and memory management.

* Due to the 6 week release cycles, we only support the latest versions of both Chrome and Firefox.